Subject: bug#50999: [External] : bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Nov 2021 20:18:36 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>,
>         "[email-masked]" <[email-masked]>,
>         "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Date: Sun, 14 Nov 2021 18:04:40 +0000
> 
> > > For a long time Emacs even distributed a "contrib"
> > > directory with code provided by others.
> > 
> > According to the VCS logs, we never had such a directory.
> 
> I distinctly remember it, and I recall using some
> of its code.

Show me some distribution that had it, and/or name some files there,
and then I could have a look.  (Assuming this is important.)

> How far back do the VCS logs go?

Back to the very first commits by RMS and friends, in early 1985.

> The point is that there's no obligation to make
> changes (maintenance or other) to code that you've
> declared is "obsolete".

It's easy for you to say that, since you don't have to pick up the
gauntlet of the maintenance.  The downside is non-negligible.